%%
%% Routine: Font list
%% (see demo15.png) 
%%
eopen('demo15.eps');
eglobpar;

%a few global parameter
eTextFontSize=3.5;
Space=2;

%titel
etext('Fonts of epsTk',eWinWidth/2,230,9,0,1);

% text
etext('Base Font List:',0.1,220,5,1,1);
y=eWinHeight-30;
for i=1:32
  y=y-eTextFontSize-Space;
  text=sprintf('ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz Font No.: %d',i);
  etext(text,1,y,eTextFontSize,1,i);
end

y=y-5-Space;
etext('Additional Font(s):',0.1,y,5,1,1);
fontName='SMonoHand';
fontNo=edfont('SMonoHand.pfa',fontName);
text=sprintf('ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz Font: %s',fontName);
y=y-eTextFontSize-Space;
etext(text,1,y,eTextFontSize,1,fontNo);
fontName='LayneLighthouse';
fontNo=edfont('LayneLighthouse.pfa',fontName);
text=sprintf('ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz Font: %s',fontName);
y=y-eTextFontSize-Space;
etext(text,1,y,eTextFontSize,1,fontNo);

eclose;
ebbox(5);
if ~exist('noDemoShow')
 eview                                   % start ghostview with eps-file
end
